Update customer details

Use this to update customer details like address using header Authorization token. Please keep in mind that the addresses will be updated to exact array provided ie, if an address is left out, it will be removed. Therefore, please include previously added addresses to the array before adding new address to array. Also, adding "id" and providing an existing address id will update that address. Leaving out the id will create a new address.
Sample Curl
curl --location --request PUT 'https://mygatewayurl.com/V1/storeview/default/customer/profile' --header 'Content-Type: application/json' --header 'Authorization: Bearer 78xhf7an1jk96vt8bpfw4g9kmlcblrll' --data-raw '{"customer":{"group_id":1,"email":"[email protected]","firstname":"John","lastname":"Dow","gender":0,"store_id":1,"website_id":1,"addresses":[{"id":147,"customer_id":30,"region":{"region_code":null,"region":null,"region_id":1375},"region_id":1375,"country_id":"IQ","street":["-"],"telephone":"7123456780","postcode":"-","city":"Baghdad","firstname":"marshall","lastname":"lee2","custom_attributes":[{"attribute_code":"lat","value":"33.315241"},{"attribute_code":"lng","value":"44.3660671"}]},{"id":149,"customer_id":30,"region":{"region_code":"AS","region":"American Samoa","region_id":3},"region_id":3,"country_id":"US","street":["123 William St"],"telephone":"+61 112 122 121","postcode":"10038-3804","city":"New York","firstname":"Mukhamed","lastname":"Khasanza","custom_attributes":[{"attribute_code":"lat","value":"40.7127753"},{"attribute_code":"lng","value":"-74.0059728"}]}],"disable_auto_group_change":0}}'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The Store view code refers to a specific store view within a store. A marketplace can have multiple websites, each website can have multiple stores, and each store can have multiple store views. Available store view codes are listed in the admin portal under Stores > Settings > All Stores. For example, the store view code for the French store view might be fr

Body Params
customer
object
required
Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json